location:
    source_directories:
        - /etc
{% for dir in backup_include|default([]) %}
        - {{ dir }}
{% endfor %}
{% if groups['dbserver_mysql'] is defined and inventory_hostname in groups['dbserver_mysql'] %}
        - /var/backups/mysql
{% endif %}
    repositories:
{% if not borgbackup.disable_local|default(false) %}
        - /var/backups/borg/default
{% endif %}
{% if borgbackup.remote_repo is defined %}
        - {{ borgbackup.remote_repo }}
{% endif %}
    one_file_system: true
    exclude_patterns:
        - '*.log'
        - '*.pyc'
        - '*/.git'
        - '*/.svn'
        - '*/vendor/*'
        - '*/node_modules/*'
    exclude_caches: true
    exclude_if_present: '.nobackup'
storage:
    encryption_passphrase: '{{ borgbackup.passphrase }}'
retention:
    keep_daily: 7
    keep_weekly: 8
    keep_monthly: 12
    keep_yearly: 30
consistency:
    checks:
        - repository
        - archives
hooks:
    before_backup:
        - echo "`date` - Starting backup"
    after_backup:
        - echo "`date` - Finished backup"
    on_error:
        - /usr/local/bin/alertalerta.py{% if netdata_alerta_project_id is defined %} --pid={{ netdata_alerta_project_id }}{% endif %} {{ inventory_hostname }} {{ netdata_alerta_environment|default("production") }} {{ netdata_alerta_webhook }} {{ netdata_alerta_apikey }} '{"service":["https://www.borgbase.com"],"resource":"{{ inventory_hostname }}","event":"Borg {configuration_filename}","value":"{repository}","text":"Borg {configuration_filename}","rawData":"{output}"}'
